<?php
/*
Plugin Name: My-Links
Plugin URI: https://monodelapila.com/wordpress/my-links/
Description: Show all links in the site. This is useful to find injected links without your autorization.
Version: 1.1
Author: Pedro H. Ocampo V.
Author URI: www.monodelapila.com
License:GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
My-Links is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
My-Links is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with My-Links. If not, see  https://www.gnu.org/licenses/gpl-2.0.html.
*/
defined('ABSPATH') or die("Bye bye");
define('MYLNK_RUTA',plugin_dir_path(__FILE__));
define('MYLNK_P_RUTA',plugin_dir_url( __FILE__ ));

include(MYLNK_RUTA . '/includes/mylnk_opciones.php');
include(MYLNK_RUTA . '/includes/mylnk_functions.php');
include(MYLNK_RUTA . '/includes/mylnk_classes.php');

register_activation_hook(__FILE__,'mylnk_toactive');
register_deactivation_hook(__FILE__,'mylnk_todeactive');
add_action( 'admin_head', 'mylnk_bootstrap_css' );
add_action( 'admin_head', 'mylnk_bootstrap_js');
add_action( 'admin_head', 'mylnk_funciones_js');
add_action( 'admin_post_del_mylink', 'mylnk_del_link' );
add_action( 'admin_menu', 'mylnk_links_menu' );
?>